package com.cpop.clockin.framework.constant.utils;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.cpop.clockin.business.bo.EmployeeAttendanceBo;
import org.apache.poi.ss.formula.functions.T;

import java.util.ArrayList;
import java.util.List;

public class ExcelListener extends AnalysisEventListener<EmployeeAttendanceBo> {

    private final List<EmployeeAttendanceBo> dataList = new ArrayList<>();

    @Override
    public void invoke(EmployeeAttendanceBo bo, AnalysisContext context) {
        dataList.add(bo);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext context) {
        // 数据读取完毕后的处理
    }

    public List<EmployeeAttendanceBo> getDataList() {
        return dataList;
    }
}
